# module IO::Evented

##
Direct including types

- Socket

##
Defined in:

##
Instance Method Summary

- #evented_close
- #evented_read(slice : Bytes, errno_msg : String, &) : Int32
- #evented_reopen
- #evented_send(slice : Bytes, errno_msg : String, &) : Int32
- #evented_write(slice : Bytes, errno_msg : String, &) : Nil
- #read_timeout : Time::Span?

  Returns the time to wait when reading before raising an `IO::Timeout`.

- #read_timeout=(read_timeout : Number) : Number

  Sets the number of seconds to wait when reading before raising an `IO::Timeout`.

- #read_timeout=(timeout : Time::Span?) : Time::Span?

  Sets the time to wait when reading before raising an `IO::Timeout`.

- #write_timeout : Time::Span?

  Returns the time to wait when writing before raising an `IO::Timeout`.

- #write_timeout=(write_timeout : Number) : Number

  Sets the number of seconds to wait when writing before raising an `IO::Timeout`.

- #write_timeout=(timeout : Time::Span?) : Time::Span?

  Sets the time to wait when writing before raising an `IO::Timeout`.

##
Instance Method Detail

def evented_close #
def evented_read(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_reopen #
def evented_send(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_write(slice : Bytes, errno_msg : String, &) : Nil #
def read_timeout : Time::Span? #

Returns the time to wait when reading before raising an `IO::Timeout`.

def read_timeout=(read_timeout : Number) : Number #

Sets the number of seconds to wait when reading before raising an `IO::Timeout`.

def read_timeout=(timeout : Time::Span?) : Time::Span? #

Sets the time to wait when reading before raising an `IO::Timeout`.

def write_timeout : Time::Span? #

Returns the time to wait when writing before raising an `IO::Timeout`.

def write_timeout=(write_timeout : Number) : Number #

Sets the number of seconds to wait when writing before raising an `IO::Timeout`.

def write_timeout=(timeout : Time::Span?) : Time::Span? #

Sets the time to wait when writing before raising an `IO::Timeout`.